(defun t-completion-at-point ()
  (let ((bounds (or (bounds-of-thing-at-point 'symbol)
                    (cons (point) (point)))))
    (list (car bounds)
          (cdr bounds)
          (completion-table-in-turn
           '("abc" "def" "ghi")
           '("123" "456" "789")))))

(defun t-setup ()
  (interactive)
  (add-hook 'completion-at-point-functions 't-completion-at-point nil t))
